Application Packages

List

get

Retrieve application package(s).

Query parameters
siteIdinteger · int32Optional

ID of the SIte from which to retrieve the AppPackage setting.(optional).

NamestringOptional

Application package name (optional).

Responses
chevron-right
200

Success

application/json; api-version=1.0

Application Package

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

packageNamestring · nullableOptional

Package name

displayNamestring · nullableOptional

Application package display name

versionstring · nullableOptional

Application package version

publisherstring · nullableOptional

Application package publisher name

msixImagePathstring · nullableOptional

MSIX image path

dependenciesstring · nullableOptional

Application pacakge dependencies

siteIdinteger · int32Optional

ID of the Site

enabledbooleanOptional

Whether the application package is enabled or not

tagIdsinteger · int32[] · nullableOptional

Application tag IDs

get
/api/AppPackage

Create

post

Create a new application package.

Body

To create a new Application Package

displayNamestring · min: 1 · max: 255 · nullableOptional

Display name of the new application package.

packageNamestring · min: 1 · max: 255 · nullableRequired

Package name of the new application package.

msixImagePathstring · nullableRequired

MSIX image path of the new application package.

Responses
post
/api/AppPackage

Get

get

Retrieve an application package by ID.

Path parameters
idinteger · int32Required

Application package ID.

Responses
chevron-right
200

Success

application/json; api-version=1.0

Application Package

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

packageNamestring · nullableOptional

Package name

displayNamestring · nullableOptional

Application package display name

versionstring · nullableOptional

Application package version

publisherstring · nullableOptional

Application package publisher name

msixImagePathstring · nullableOptional

MSIX image path

dependenciesstring · nullableOptional

Application pacakge dependencies

siteIdinteger · int32Optional

ID of the Site

enabledbooleanOptional

Whether the application package is enabled or not

tagIdsinteger · int32[] · nullableOptional

Application tag IDs

get
/api/AppPackage/{id}

Update

put

Update application package settings.

Path parameters
idinteger · int32Required

Application package ID.

Body

Modify an Application Package

enabledboolean · nullableOptional

Enable or disable the application package.

displayNamestring · min: 1 · max: 255 · nullableOptional

The new display name of the application package.

tagId1boolean · nullableOptional

Enable or disable Tag with Id 1.

tagId2boolean · nullableOptional

Enable or disable Tag with Id 2.

tagId3boolean · nullableOptional

Enable or disable Tag with Id 3.

Responses
put
/api/AppPackage/{id}

No content

Delete

delete

Delete an application package.

Path parameters
idinteger · int32Required

Application package ID.

Responses
delete
/api/AppPackage/{id}

No content

Last updated